Skip to main content

deleteScannerIntegration

Delete a Scanner integration

deleteScannerIntegration(
input: DeleteScannerIntegrationInput!
): DeleteScannerIntegrationPayload

Arguments​

deleteScannerIntegration.input ● DeleteScannerIntegrationInput! non-null input​

Parameters for DeleteScannerIntegration

Type​

DeleteScannerIntegrationPayload object​

Autogenerated return type of DeleteScannerIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateDeleteScannerIntegration($input: DeleteScannerIntegrationInput!) {\n deleteScannerIntegration(input: $input) { clientMutationId deleted deletedAssetsCount }\n}","variables":{"input":{"companyId":"<company_id>","integrationType":"CONVISO_AST"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute